• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Confusion of the installation

 
HaoZhe Xu
Ranch Hand
Posts: 222
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I have J2SDK 1.4.2_05 installed on my machine, and then I downloaded WTK2.2 and installed, so what do I need to compile/run J2ME application?
It seems that I got enough, but I read 'J2ME in a Nutshell' and 'Learning Wireless Java', the settings are not the same:

J2ME in a Nutshell:
%JAVA_HOME% base installation directory for Java 2 SDK
%CLDC_HOME% the base installation directory for the CLDC referrence implementation
%CLDC_PATH% the bin directory beneath the CLDC installation directory, equal to %CLDC_HOME%\j2me_cldc\bin

PATH=%JAVA_HOME%\bin;%CLDC_PATH%\win32;%PATH%

mkdir tmpclasses
javac -bootclasspath %CLDC_PATH%\common\api\classes -d tmpclasses ora\ch2\HelloWorld.java



Learning Wireless Java
SET path=%path%;c:\j2mewtk\bin
SET J2MEWTK_HOME=C:\j2mewtk
SET MIDPAPI=%J2MEWTK_HOME%\lib\midpapi.zip
SET J2MECLASSPATH=%J2MEWTK_HOME%\wtklib\kenv.zip;
%J2MEWTK_HOME%\wtklib\kvem.jar;%J2MEWTK_HOME%\wtklib\lime.jar

javac -g:none -d tmpclasses -bootclasspath %MIDPAPI% -classpath
%J2MECLASSPATH% HelloMidlet.java

Which is right??? In my directory of %J2MEWTK_HOME%\lib, there's no midpapi.zip file.
 
Ko Ko Naing
Ranch Hand
Posts: 3178
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
First of all, the proposed WTK version for the current SCMAD is WTK 2.1, not 2.2... If you use WTK 2.2, there might be possibility that you use some new classes in WMA 2.0, which is not the correct spec mandated by SCMAD objectives...

So I do recommend you to use WTK 2.1, which is based on the correct vesions of specs of the exam...

After you install your WTK 2.1, you can create new projects from KToolbar and you will see the new project folder in WTK/apps directory... Then you can create the source codes inside src directory and compile them using Build command on KToolBar of WTK... That's it... You don't need any setting of configuration for WTK... It is that simple...

Hope it helps...
 
HaoZhe Xu
Ranch Hand
Posts: 222
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
There is WTK2.2:
WTK2.2, but it doesn't work, I tried two ways of seting up, but none of them make sense.
 
Ko Ko Naing
Ranch Hand
Posts: 3178
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Originally posted by HaoZhe XU:
There is WTK2.2:
WTK2.2, but it doesn't work.


Yes, I know there is version 2.2. What I mean is to suggest you to use version 2.1 for the exam so that there is no side-effect on your study from the unrelated software...
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic